import 'package:flutter/material.dart';

class AppBackend extends StatelessWidget {
  final Widget child;

  const AppBackend({super.key, required this.child});

  @override
  Widget build(BuildContext context) {
    return Container(
      width: double.infinity,
      padding: EdgeInsets.all(15),
      decoration: BoxDecoration(
        gradient: LinearGradient(
          begin: Alignment.topLeft,
          end: Alignment.bottomRight,
          colors: [
            Color(0xffdff8fb),
            Color(0xffffffff),
            Color(0xffdff8fb),
          ],
        ),
      ),
      child: SafeArea(child: child),
    );
  }
}
